plot.t2 {sma} | R Documentation

## Diagnostic Plots for Two-Sample t-statistics

### Description

Plots of two-sample t-statistics, |t-numerator| and t-denominator against average A, and plot of |t-numerator| against t-denominator. For each spot on a given slide, A = log_2(R*G)/2, where (R,G) denotes the red and green fluorescence intensity pair. Points with t-statistics exceeding user defined thresholds are highlighted.

### Usage

    plot.t2(x, main.title="T plots", low=-5, high=5,...)

### Arguments

`x` | output from the function `stat.t2`.
`main.title` | title for the plot.
`low` | lower threshold for t-statistic: points with t<low are colored in green.
`high` | upper threshold for t-statistic: points with t>high are colored in red.
`...` | additional graphical parameters

### Author(s)

Sandrine Dudoit, sandrine@stat.berkeley.edu
Yee Hwa Yang, yeehwa@stat.berkeley.edu

### See Also

`stat.t2`, `t2stat.func`, `plot`, `t.test`.

### Examples

    data(MouseArray)
    # mouse.setup <- init.grid()
    # mouse.data <- init.data() ## see \emph{init.data}
    # mouse.lratio <- stat.ma(mouse.data, mouse.setup)

    ## Calculation of t-statistics
    ## cl <- c(rep(1,3), rep(2,3))
    ## mouse.t2 <- stat.t2(mouse.lratio, cl)

    ## Diagnostic plots
    plot.t2(mouse.t2, "Mouse")

[Package sma version 0.5.14 Index]